
D4Science Infrastructure - Incident #6258

Workspace download file popup error on short url link redirect

Dec 19, 2016 05:35 PM - Massimiliano Assante

Status: Closed Start date: Dec 19, 2016

Priority: Urgent Due date: Dec 20, 2016

Assignee: Francesco Mangiacrapa % Done: 100%

Category: Other Estimated time: 1.00 hour

Target version: UnSprintable   

Infrastructure: Development, Production   

Description

If I paste this link (for example: https://goo.gl/cgsb3t) to the browser and i'm not logged in, I am redirected to the workspace file and

the file is selected, when i click download the popup error appears but the file is downloaded correctly.

I could not find any error in the logs, the issue is present in both production and dev

History

#1 - Dec 19, 2016 05:36 PM - Massimiliano Assante

- File Screenshot from 2016-12-19 17-26-25.png added

#2 - Dec 19, 2016 05:37 PM - Massimiliano Assante

- Description updated

#3 - Dec 21, 2016 07:09 PM - Francesco Mangiacrapa

- Status changed from New to In Progress

When the redirect to the workspace file is performed the inject code (used by Liferay Theme) performed by gcube-context.js fails to the RPC

GWTWorkspaceServiceImpl#getAllContacts (performed by Workspace) during Workspace portlet init, so client side is shown the error.

Moreover, This error is not systematic but It seems that the contexId and userId used for the session are not read/passed correctly

@valentina.marioli@isti.cnr.it and @massimiliano.assante@isti.cnr.it You can see the following logs there are warning and errors regarding HL and

PortalContext

2016-12-21 16:01:13,637 INFO  events.LandingPageAction [http-bio-9090-exec-67,run:26] %[PORTAL] 76642693 [http

-bio-9090-exec-67] INFO  org.gcube.portal.events.LandingPageAction  - LandingPageAction is ON

2016-12-21 16:01:13,638 INFO  events.LandingPageAction [http-bio-9090-exec-67,getCustomLandingPage:48] %[PORTA

L] 76642694 [http-bio-9090-exec-67] INFO  org.gcube.portal.events.LandingPageAction  - Private Site LandingPag

e Path = /group/imarine-gateway

LOADING ********* FROM /WEB-INF/jsp/WorkspacePortlet_view.jsp

2016-12-21 16:01:16,054 INFO  util.WsUtil [http-bio-9090-exec-67,getGWTWorkspaceBuilder:189] %[PORTAL] 3052429

1 [http-bio-9090-exec-67] INFO  org.gcube.portlets.user.workspace.server.util.WsUtil  - Initializing the works

pace area builder

16:01:16,054 ERROR [http-bio-9090-exec-67][SerializableSessionAttributeListener:110] org.gcube.portlets.user.w

orkspace.server.GWTWorkspaceBuilder is not serializable and will prevent this session from being replicated

[PORTAL] 77111014 [http-bio-9090-exec-67] INFO  HomeManageFactory  - loading home. (Username: luca.frosini, sc

ope: /d4science.research-infrastructures.eu)

[PORTAL] 77111014 [http-bio-9090-exec-67] INFO  HomeManageFactory  - getHomeManagerFactory

[PORTAL] 77111014 [http-bio-9090-exec-67] INFO  HomeManageFactory  - getHomeManagerFactory

2016-12-21 16:01:16,161 INFO  server.GWTWorkspaceServiceImpl [http-bio-9090-exec-85,getMyFirstName:2671] %[POR

TAL] 30524398 [http-bio-9090-exec-85] INFO  org.gcube.portlets.user.workspace.server.GWTWorkspaceServiceImpl  

- My login first name is: Luca

2016-12-21 16:01:16,170 INFO  jaxws.StubCache [http-bio-9090-exec-100,get:70] %[PORTAL] 77111127 [http-bio-909

0-exec-100] INFO  org.gcube.common.clients.stubs.jaxws.StubCache  - using cached stub for interface org.gcube.

resources.discovery.icclient.stubs.CollectorStub

2016-12-21 16:01:16,170 INFO  jaxws.StubFactory [http-bio-9090-exec-100,at:108] %[PORTAL] 77111127 [http-bio-9

090-exec-100] INFO  org.gcube.common.clients.stubs.jaxws.StubFactory  - target type is interface org.gcube.res

ources.discovery.icclient.stubs.CollectorStub 

2016-12-21 16:01:16,172 INFO  icclient.ICClient [http-bio-9090-exec-100,callService:57] %[PORTAL] 77111129 [ht

tp-bio-9090-exec-100] INFO  org.gcube.resources.discovery.icclient.ICClient  - executing query for $profile in

 collection('/db/Profiles/GenericResource')//Resource where $profile/Profile/SecondaryType/string() eq 'Applic
ationProfile' and  $profile/Profile/Name/string()  eq 'DataCatalogueMapScopesUrls'return $profile

2016-12-21 16:01:16,194 INFO  icclient.ICClient [http-bio-9090-exec-100,callService:65] %[PORTAL] 77111151 [ht

tp-bio-9090-exec-100] INFO  org.gcube.resources.discovery.icclient.ICClient  - executed query for $profile in 

collection('/db/Profiles/GenericResource')//Resource where $profile/Profile/SecondaryType/string() eq 'Applica

tionProfile' and  $profile/Profile/Name/string()  eq 'DataCatalogueMapScopesUrls'return $profile in 22 ms

[PORTAL] 77111172 [http-bio-9090-exec-58] INFO  HomeManageFactory  - loading home. (Username: luca.frosini, sc

ope: /d4science.research-infrastructures.eu)

[PORTAL] 77111172 [http-bio-9090-exec-58] INFO  HomeManageFactory  - getHomeManagerFactory

2016-12-21 16:01:16,246 INFO  server.GWTWorkspaceServiceImpl [http-bio-9090-exec-100,enablePublishOnCatalogue:

3480] %[PORTAL] 30524483 [http-bio-9090-exec-100] INFO  org.gcube.portlets.user.workspace.server.GWTWorkspaceS

erviceImpl  - Does the user have the right to publish on the catalogue? false

2016-12-21 16:01:16,247 INFO  server.GWTWorkspaceServiceImpl [http-bio-9090-exec-100,getMyLogin:2654] %[PORTAL

] 30524484 [http-bio-9090-exec-100] INFO  org.gcube.portlets.user.workspace.server.GWTWorkspaceServiceImpl  - 

Returning myLogin: UserBean [username=luca.frosini, firstName=Luca, lastName=Frosini, email=luca.frosini@isti.

cnr.it, cataloguePermission=false]

2016-12-21 16:01:16,817 INFO  server.GWTWorkspaceServiceImpl [http-bio-9090-exec-37,getRootForTree:254] %[PORT

AL] 30525054 [http-bio-9090-exec-37] INFO  org.gcube.portlets.user.workspace.server.GWTWorkspaceServiceImpl  -

 getRoot for scope ID All spaces

[PORTAL] 77111777 [http-bio-9090-exec-37] INFO  HomeManageFactory  - loading home. (Username: luca.frosini, sc

ope: /d4science.research-infrastructures.eu)

[PORTAL] 77111777 [http-bio-9090-exec-37] INFO  HomeManageFactory  - getHomeManagerFactory

[PORTAL] 77111786 [http-bio-9090-exec-72] INFO  HomeManageFactory  - loading home. (Username: luca.frosini, sc

ope: /d4science.research-infrastructures.eu)

[PORTAL] 77111786 [http-bio-9090-exec-72] INFO  HomeManageFactory  - getHomeManagerFactory

[PORTAL] 77111870 [http-bio-9090-exec-3] INFO  HomeManageFactory  - loading home. (Username: luca.frosini, sco

pe: /d4science.research-infrastructures.eu)

[PORTAL] 77111870 [http-bio-9090-exec-3] INFO  HomeManageFactory  - getHomeManagerFactory

2016-12-21 16:01:16,928 INFO  server.GWTWorkspaceServiceImpl [http-bio-9090-exec-94,updateTrashContent:2921] %

[PORTAL] 30525165 [http-bio-9090-exec-94] INFO  org.gcube.portlets.user.workspace.server.GWTWorkspaceServiceIm

pl  - Updating TrashContent with operation: REFRESH

2016-12-21 16:01:16,928 INFO  server.GWTWorkspaceServiceImpl [http-bio-9090-exec-44,getUserWorkspaceQuote:3238

] %[PORTAL] 30525165 [http-bio-9090-exec-44] INFO  org.gcube.portlets.user.workspace.server.GWTWorkspaceServic

eImpl  - Getting UserWorkspaceQuote..

[PORTAL] 77111888 [http-bio-9090-exec-44] INFO  HomeManageFactory  - loading home. (Username: luca.frosini, sc

ope: /d4science.research-infrastructures.eu)

[PORTAL] 77111888 [http-bio-9090-exec-44] INFO  HomeManageFactory  - getHomeManagerFactory

[PORTAL] 77111888 [http-bio-9090-exec-94] INFO  HomeManageFactory  - loading home. (Username: luca.frosini, sc

ope: /d4science.research-infrastructures.eu)

[PORTAL] 77111889 [http-bio-9090-exec-94] INFO  HomeManageFactory  - getHomeManagerFactory

2016-12-21 16:01:16,993 INFO  server.GWTWorkspaceServiceImpl [http-bio-9090-exec-44,getUserWorkspaceQuote:3241

] %[PORTAL] 30525230 [http-bio-9090-exec-44] INFO  org.gcube.portlets.user.workspace.server.GWTWorkspaceServic

eImpl  - Root size is: 78319971 formatting..

2016-12-21 16:01:16,993 INFO  server.GWTWorkspaceServiceImpl [http-bio-9090-exec-44,getUserWorkspaceTotalItems

:3284] %[PORTAL] 30525230 [http-bio-9090-exec-44] INFO  org.gcube.portlets.user.workspace.server.GWTWorkspaceS

erviceImpl  - Getting total items..

[PORTAL] 77111954 [http-bio-9090-exec-44] INFO  HomeManageFactory  - loading home. (Username: luca.frosini, sc

ope: /d4science.research-infrastructures.eu)

[PORTAL] 77111954 [http-bio-9090-exec-44] INFO  HomeManageFactory  - getHomeManagerFactory

[PORTAL] 77111973 [http-bio-9090-exec-74] INFO  HomeManageFactory  - loading home. (Username: luca.frosini, sc

ope: /d4science.research-infrastructures.eu)

[PORTAL] 77111973 [http-bio-9090-exec-74] INFO  HomeManageFactory  - getHomeManagerFactory

2016-12-21 16:01:17,057 INFO  server.GWTWorkspaceServiceImpl [http-bio-9090-exec-44,getUserWorkspaceTotalItems

:3287] %[PORTAL] 30525294 [http-bio-9090-exec-44] INFO  org.gcube.portlets.user.workspace.server.GWTWorkspaceS

erviceImpl  - returning total items value: 72

2016-12-21 16:01:17,058 INFO  server.GWTWorkspaceServiceImpl [http-bio-9090-exec-44,getUserWorkspaceQuote:3249

] %[PORTAL] 30525295 [http-bio-9090-exec-44] INFO  org.gcube.portlets.user.workspace.server.GWTWorkspaceServic

eImpl  - returning user quote: WorkspaceUserQuote [diskSpace=78319971, diskSpaceFormatted=74.69 MB, totalItems

=72]

2016-12-21 16:01:17,087 INFO  server.GWTWorkspaceBuilder [http-bio-9090-exec-94,buildGXTListTrashContent:1996]

 %[PORTAL] 30525324 [http-bio-9090-exec-94] INFO  org.gcube.portlets.user.workspace.server.GWTWorkspaceBuilder

  - Converting trash content, size is: 9

2016-12-21 16:01:17,107 INFO  server.GWTWorkspaceBuilder [http-bio-9090-exec-94,buildGXTListTrashContent:2015]

 %[PORTAL] 30525344 [http-bio-9090-exec-94] INFO  org.gcube.portlets.user.workspace.server.GWTWorkspaceBuilder

  - Returning trash content as FileTrashedModel, size is: 9

[PORTAL] 77112231 [http-bio-9090-exec-16] INFO  HomeManageFactory  - loading home. (Username: luca.frosini, sc

ope: /d4science.research-infrastructures.eu)

[PORTAL] 77112231 [http-bio-9090-exec-16] INFO  HomeManageFactory  - getHomeManagerFactory

2016-12-21 16:01:17,307 ERROR workspace.JCRWorkspace [http-bio-9090-exec-16,getParentsById:4026] %[PORTAL] 771

12264 [http-bio-9090-exec-16] ERROR org.gcube.common.homelibrary.jcr.workspace.JCRWorkspace  - /Home is not a 

workspaceItem 

2016-12-21 16:01:17,308 ERROR workspace.JCRWorkspace [http-bio-9090-exec-16,getParentsById:4026] %[PORTAL] 771

12265 [http-bio-9090-exec-16] ERROR org.gcube.common.homelibrary.jcr.workspace.JCRWorkspace  - /Home/luca.fros

ini is not a workspaceItem 
2016-12-21 16:01:17,308 INFO  resource.PropertySpecialFolderReader [http-bio-9090-exec-16,<init>:27] %[PORTAL]

 30525545 [http-bio-9090-exec-16] INFO  org.gcube.portlets.user.workspace.server.util.resource.PropertySpecial

FolderReader  - Instancing new PropertySpecialFolderReader with path: /tmp/tomcat_temp/56-workspace-6.15.0-4.2

.0//conf/specialfoldername.properties

2016-12-21 16:01:17,308 INFO  resource.PropertySpecialFolderReader [http-bio-9090-exec-16,<init>:42] %[PORTAL]

 30525545 [http-bio-9090-exec-16] INFO  org.gcube.portlets.user.workspace.server.util.resource.PropertySpecial

FolderReader  - PropertySpecialFolderReader read for key: SPECIALFOLDERNAME value: VRE Folders

16:01:17,308 ERROR [http-bio-9090-exec-16][SerializableSessionAttributeListener:110] org.gcube.portlets.user.w

orkspace.server.util.resource.PropertySpecialFolderReader is not serializable and will prevent this session fr

om being replicated

2016-12-21 16:01:17,309 INFO  server.GWTWorkspaceServiceImpl [http-bio-9090-exec-16,getNameForSpecialFolder:39

2] %[PORTAL] 30525546 [http-bio-9090-exec-16] INFO  org.gcube.portlets.user.workspace.server.GWTWorkspaceServi

ceImpl  - Read special folder name: 'VRE Folders', from property file..

[PORTAL] 77112276 [http-bio-9090-exec-66] INFO  HomeManageFactory  - loading home. (Username: luca.frosini, sc

ope: /d4science.research-infrastructures.eu)

[PORTAL] 77112276 [http-bio-9090-exec-66] INFO  HomeManageFactory  - getHomeManagerFactory

2016-12-21 16:01:17,437 ERROR workspace.JCRWorkspace [http-bio-9090-exec-66,getParentsById:4026] %[PORTAL] 771

12394 [http-bio-9090-exec-66] ERROR org.gcube.common.homelibrary.jcr.workspace.JCRWorkspace  - /Home is not a 

workspaceItem 

2016-12-21 16:01:17,437 ERROR workspace.JCRWorkspace [http-bio-9090-exec-66,getParentsById:4026] %[PORTAL] 771

12394 [http-bio-9090-exec-66] ERROR org.gcube.common.homelibrary.jcr.workspace.JCRWorkspace  - /Home/luca.fros

ini is not a workspaceItem 

2016-12-21 16:01:17,438 INFO  server.GWTWorkspaceServiceImpl [http-bio-9090-exec-66,getNameForSpecialFolder:39

2] %[PORTAL] 30525675 [http-bio-9090-exec-66] INFO  org.gcube.portlets.user.workspace.server.GWTWorkspaceServi

ceImpl  - Read special folder name: 'VRE Folders', from property file..

2016-12-21 16:01:17,512 INFO  server.GWTWorkspaceServiceImpl [http-bio-9090-exec-74,getFolderChildren:349] %[P

ORTAL] 30525749 [http-bio-9090-exec-74] INFO  org.gcube.portlets.user.workspace.server.GWTWorkspaceServiceImpl

  - Folder is root, loading special folders..

2016-12-21 16:01:17,529 INFO  server.GWTWorkspaceServiceImpl [http-bio-9090-exec-40,getUserACLForFolderId:2735

] %[PORTAL] 30525766 [http-bio-9090-exec-40] INFO  org.gcube.portlets.user.workspace.server.GWTWorkspaceServic

eImpl  - Get user ACL to FOLDER id: f4443969-c6e5-4fce-8bcb-1deddb15f485

2016-12-21 16:01:17,530 INFO  server.GWTWorkspaceServiceImpl [http-bio-9090-exec-74,getNameForSpecialFolder:39

2] %[PORTAL] 30525767 [http-bio-9090-exec-74] INFO  org.gcube.portlets.user.workspace.server.GWTWorkspaceServi

ceImpl  - Read special folder name: 'VRE Folders', from property file..

2016-12-21 16:01:17,530 INFO  server.GWTWorkspaceServiceImpl [http-bio-9090-exec-74,getFolderChildren:356] %[P

ORTAL] 30525767 [http-bio-9090-exec-74] INFO  org.gcube.portlets.user.workspace.server.GWTWorkspaceServiceImpl

  - Special folder name updated as: VRE Folders

[PORTAL] 77112489 [http-bio-9090-exec-40] INFO  HomeManageFactory  - loading home. (Username: luca.frosini, sc

ope: /d4science.research-infrastructures.eu)

[PORTAL] 77112489 [http-bio-9090-exec-40] INFO  HomeManageFactory  - getHomeManagerFactory

2016-12-21 16:01:17,592 INFO  server.GWTWorkspaceServiceImpl [http-bio-9090-exec-40,getSharedWorkspaceFolderFo

rId:2821] %[PORTAL] 30525829 [http-bio-9090-exec-40] INFO  org.gcube.portlets.user.workspace.server.GWTWorkspa

ceServiceImpl  - Get SharedFolderForId return name: Integrated

2016-12-21 16:01:17,613 INFO  server.GWTWorkspaceServiceImpl [http-bio-9090-exec-80,getUserACLForFolderId:2735

] %[PORTAL] 30525850 [http-bio-9090-exec-80] INFO  org.gcube.portlets.user.workspace.server.GWTWorkspaceServic

eImpl  - Get user ACL to FOLDER id: f4443969-c6e5-4fce-8bcb-1deddb15f485

[PORTAL] 77112573 [http-bio-9090-exec-80] INFO  HomeManageFactory  - loading home. (Username: luca.frosini, sc

ope: /d4science.research-infrastructures.eu)

[PORTAL] 77112573 [http-bio-9090-exec-80] INFO  HomeManageFactory  - getHomeManagerFactory

2016-12-21 16:01:17,676 INFO  server.GWTWorkspaceServiceImpl [http-bio-9090-exec-80,getSharedWorkspaceFolderFo

rId:2821] %[PORTAL] 30525913 [http-bio-9090-exec-80] INFO  org.gcube.portlets.user.workspace.server.GWTWorkspa

ceServiceImpl  - Get SharedFolderForId return name: Integrated

2016-12-21 16:01:19,824 INFO  server.DownloadServlet [http-bio-9090-exec-88,doGet:86] %[PORTAL] 30528061 [http

-bio-9090-exec-88] INFO  org.gcube.portlets.user.workspace.server.DownloadServlet  - For ContextID: 42311, rea

d scope from Portal Context: /d4science.research-infrastructures.eu

[PORTAL] 77114784 [http-bio-9090-exec-88] INFO  HomeManageFactory  - loading home. (Username: luca.frosini, sc

ope: /d4science.research-infrastructures.eu)

[PORTAL] 77114784 [http-bio-9090-exec-88] INFO  HomeManageFactory  - getHomeManagerFactory

2016-12-21 16:01:20,140 INFO  server.GWTWorkspaceServiceImpl [http-bio-9090-exec-87,getUserWorkspaceQuote:3238

] %[PORTAL] 30528377 [http-bio-9090-exec-87] INFO  org.gcube.portlets.user.workspace.server.GWTWorkspaceServic

eImpl  - Getting UserWorkspaceQuote..

2016-12-21 16:01:20,141 INFO  server.GWTWorkspaceServiceImpl [http-bio-9090-exec-28,getUserWorkspaceQuote:3238

] %[PORTAL] 30528378 [http-bio-9090-exec-28] INFO  org.gcube.portlets.user.workspace.server.GWTWorkspaceServic

eImpl  - Getting UserWorkspaceQuote..

[PORTAL] 77115102 [http-bio-9090-exec-87] INFO  HomeManageFactory  - loading home. (Username: luca.frosini, sc

ope: /d4science.research-infrastructures.eu)

[PORTAL] 77115102 [http-bio-9090-exec-87] INFO  HomeManageFactory  - getHomeManagerFactory

[PORTAL] 77115103 [http-bio-9090-exec-28] INFO  HomeManageFactory  - loading home. (Username: luca.frosini, sc

ope: /d4science.research-infrastructures.eu)
[PORTAL] 77115103 [http-bio-9090-exec-28] INFO  HomeManageFactory  - getHomeManagerFactory

2016-12-21 16:01:20,214 INFO  server.GWTWorkspaceServiceImpl [http-bio-9090-exec-87,getUserWorkspaceQuote:3241

] %[PORTAL] 30528451 [http-bio-9090-exec-87] INFO  org.gcube.portlets.user.workspace.server.GWTWorkspaceServic

eImpl  - Root size is: 78319971 formatting..

2016-12-21 16:01:20,215 INFO  server.GWTWorkspaceServiceImpl [http-bio-9090-exec-87,getUserWorkspaceTotalItems

:3284] %[PORTAL] 30528452 [http-bio-9090-exec-87] INFO  org.gcube.portlets.user.workspace.server.GWTWorkspaceS

erviceImpl  - Getting total items..

2016-12-21 16:01:20,216 INFO  server.GWTWorkspaceServiceImpl [http-bio-9090-exec-28,getUserWorkspaceQuote:3241

] %[PORTAL] 30528453 [http-bio-9090-exec-28] INFO  org.gcube.portlets.user.workspace.server.GWTWorkspaceServic

eImpl  - Root size is: 78319971 formatting..

2016-12-21 16:01:20,216 INFO  server.GWTWorkspaceServiceImpl [http-bio-9090-exec-28,getUserWorkspaceTotalItems

:3284] %[PORTAL] 30528453 [http-bio-9090-exec-28] INFO  org.gcube.portlets.user.workspace.server.GWTWorkspaceS

erviceImpl  - Getting total items..

[PORTAL] 77115176 [http-bio-9090-exec-87] INFO  HomeManageFactory  - loading home. (Username: luca.frosini, sc

ope: /d4science.research-infrastructures.eu)

[PORTAL] 77115176 [http-bio-9090-exec-87] INFO  HomeManageFactory  - getHomeManagerFactory

[PORTAL] 77115176 [http-bio-9090-exec-28] INFO  HomeManageFactory  - loading home. (Username: luca.frosini, sc

ope: /d4science.research-infrastructures.eu)

[PORTAL] 77115177 [http-bio-9090-exec-28] INFO  HomeManageFactory  - getHomeManagerFactory

2016-12-21 16:01:20,294 INFO  server.GWTWorkspaceServiceImpl [http-bio-9090-exec-87,getUserWorkspaceTotalItems

:3287] %[PORTAL] 30528531 [http-bio-9090-exec-87] INFO  org.gcube.portlets.user.workspace.server.GWTWorkspaceS

erviceImpl  - returning total items value: 72

2016-12-21 16:01:20,294 INFO  server.GWTWorkspaceServiceImpl [http-bio-9090-exec-87,getUserWorkspaceQuote:3249

] %[PORTAL] 30528531 [http-bio-9090-exec-87] INFO  org.gcube.portlets.user.workspace.server.GWTWorkspaceServic

eImpl  - returning user quote: WorkspaceUserQuote [diskSpace=78319971, diskSpaceFormatted=74.69 MB, totalItems

=72]

2016-12-21 16:01:20,296 INFO  server.GWTWorkspaceServiceImpl [http-bio-9090-exec-28,getUserWorkspaceTotalItems

:3287] %[PORTAL] 30528533 [http-bio-9090-exec-28] INFO  org.gcube.portlets.user.workspace.server.GWTWorkspaceS

erviceImpl  - returning total items value: 72

2016-12-21 16:01:20,296 INFO  server.GWTWorkspaceServiceImpl [http-bio-9090-exec-28,getUserWorkspaceQuote:3249

] %[PORTAL] 30528533 [http-bio-9090-exec-28] INFO  org.gcube.portlets.user.workspace.server.GWTWorkspaceServic

eImpl  - returning user quote: WorkspaceUserQuote [diskSpace=78319971, diskSpaceFormatted=74.69 MB, totalItems

=72]

[PORTAL] 77115876 [http-bio-9090-exec-35] WARN  org.gcube.common.portal.PortalContext  - It seems your app is 

running in Liferay but not context was set on this (HttpServletRequest) request

2016-12-21 16:01:20,919 WARN  portal.PortalContext [http-bio-9090-exec-35,getCurrentUserToken:282] %[PORTAL] 7

7115876 [http-bio-9090-exec-35] WARN  org.gcube.common.portal.PortalContext  - It seems your app is running in

 Liferay but not context was set on this (HttpServletRequest) request

2016-12-21 16:01:20,919 INFO  server.DownloadServlet [http-bio-9090-exec-35,doGet:86] %[PORTAL] 30529156 [http

-bio-9090-exec-35] INFO  org.gcube.portlets.user.workspace.server.DownloadServlet  - For ContextID: 42311, rea

d scope from Portal Context: /d4science.research-infrastructures.eu

[PORTAL] 77115876 [http-bio-9090-exec-35] WARN  org.gcube.common.portal.PortalContext  - It seems your app is 

running in Liferay but not context was set on this (HttpServletRequest) request

2016-12-21 16:01:20,919 WARN  portal.PortalContext [http-bio-9090-exec-35,getCurrentUserToken:282] %[PORTAL] 7

7115876 [http-bio-9090-exec-35] WARN  org.gcube.common.portal.PortalContext  - It seems your app is running in

 Liferay but not context was set on this (HttpServletRequest) request

[PORTAL] 77115877 [http-bio-9090-exec-35] INFO  HomeManageFactory  - loading home. (Username: luca.frosini, sc

ope: /d4science.research-infrastructures.eu)

[PORTAL] 77115877 [http-bio-9090-exec-35] INFO  HomeManageFactory  - getHomeManagerFactory

 I'm going to close this incident. It seems related to #6275

#4 - Dec 21, 2016 07:10 PM - Francesco Mangiacrapa

- Status changed from In Progress to Closed
